Observer Encryption Key Utility

Introduction

Strong Encryption is available to users of Network Instruments Observer Suite and MultiProbe products. It secures the connection between MultiProbes and Consoles with 128-bit encryption and secure authentication. It also allows for the use of static encryption keys stored in predefined files (ObsEncKey.oek) to further hamper unauthorized users from access to the data stream. This help file describes how to generate and use Observer encryption keys.

Requirements

You must have the Microsoft Full Cryptographic Service Provider installed. If the Observer Encryption Key Utility displays an error message telling you that the Microsoft Full Cryptographic Service Provider is not available, go to the Microsoft website to download the appropriate upgrade or patch. Internet Explorer versions 6.0 and greater includes the Full Cryptographic Service Provider, as do Windows XP and newer versions of Windows.

Generating the Key File

To generate a key file, start the utility and press the Generate Observer Encryption Key button. The utility will prompt you for a directory in which to create the key file. After you select a directory, the file ObsEncKey.oek is generated in the selected location.

Using the Key File to Authorize Consoles and Probes

Once you have generated a key, transfer a copy of that file in a secure manner to the installation directories of the Probes and Consoles you wish to authorize. "In a Secure manner" means "not over the network." Deliver the file on floppy disk rather than emailing it or using the network file system to copy it.

After the key files are copied, make sure that encryption key files are enabled in the Observer Consoles (Options->General Options->General tab) within the security domain. The existence of the keyfile in the Probe directory automatically enables the use of keyfiles for that Probe.

©1994-2003 Network Instruments, LLC and Its Licensors. All Rights Reserved.